/* Bibliothque GEM pour X-Windows
   (C) 1998, Emmanuel CURIS

   Bibliothque fourre-tout base VDI (fonctions v?_xxx) */

#include <stdio.h>
#include <stdlib.h>

#include "bib_interface.h"

#ifdef AVEC_VDI_COMPLETE_
void vex_butv     (int handle, int (*usercode)(int etat), int (* *savecode)(int etat));
void vex_curv     (int handle, int (*usercode)(int x, int y), int (* *savecode)(int x, int y));
void vex_motv     (int handle, int (*usercode)(int x, int y), int (* *savecode)(int x, int y));
void vex_timv     (int handle, int (*tim_addr)(void), int (* *old_addr)(void), int *scale);

void vm_coords    (int handle, int llx, int lly, int urx, int ury);

void vm_filename  (int handle, char *filename)
{
  printf("Metafiles non grs. Achetez un atari !\n");
}

void vm_pagesize  (int handle, int pgwidth, int pgheight)
{
  printf("Metafiles non grs. Achetez un atari !\n");
}

void vr_recfl     (int handle, int *pxyarray);
void vr_trnfm     (int handle, MFDB *srcMFDB, MFDB *desMFDB);

void vro_cpyfm    (int handle, int wr_mode, int *xy, MFDB *srcMFDB, MFDB *desMFDB);

void vrq_choice   (int handle, int in_choice, int *out_choice);
void vrq_locator  (int handle, int initx, int inity, int *xout, int *yout, int *term);
void vrq_string   (int handle, int length, int echo_mode, int *echo_xy, char *string);
void vrq_valuator (int handle, int val_in, int *val_out, int *term);

void vrt_cpyfm    (int handle, int wr_mode, int *xy, MFDB *srcMFDB, MFDB *desMFDB, int *index);

void vt_alignment (int handle, int dx, int dy);
void vt_axis      (int handle, int xres, int yres, int *xset, int *yset);
void vt_origin    (int handle, int xorigin, int yorigin);
void vt_resolution(int handle, int xres, int yres, int *xset, int *yset);
#endif
