/* Bibliothque X-Window pour les interfaces
            Routines de gestion du clavier
	    Compatible avec gem_gene.c (version GEM : rfrence)
   (C) 1998, Emmanuel CURIS - Cration le 29 mai 1998

   Fichier d'inclusions
*/

#ifndef X_CLAVIER_H_

#define X_CLAVIER_H_ /* Protection contre l'inclusion multiple */

/* -------- Dfinitions pour les touches spciales les plus frquentes -------- */

#define Fleche_Haut   (unsigned int) XK_Up
#define Fleche_Bas    (unsigned int) XK_Down
#define Fleche_Droite (unsigned int) XK_Right
#define Fleche_Gauche (unsigned int) XK_Left

#define Page_Avant    (unsigned int) XK_Page_Up
#define Page_Apres    (unsigned int) XK_Page_Down

#define Debut_Page    (unsigned int) XK_Home
#define Fin_Page      (unsigned int) XK_End

/* ***** Fonctions appelables depuis l'extrieur de la librairie X ************ */

/* ***** Fonctions internes  la librairie X -> invisibles de l'extrieur ***** */

#ifdef _LIBRAIRIE_X_

/* Gestion d'un vnement clavier */
struct fenetre;

int EVNT_clavier (struct fenetre *fenetre, XKeyEvent *clavier, boolean inclure_menu);

int  BI_InitialiserCurseur(OBJECT *objet);

void BIBX_verifie_modificateurs(unsigned int etat);

/* Conversion codage X -> codage TOS des touches */

#define TOUCHE_TRAITEE (0)

#define TOUCHE_PRESSEE  0
#define TOUCHE_RELACHEE 1

unsigned int XToucheVersGEM(XKeyEvent *clavier, int mode, KeySym *touche_X);

#endif /* def _LIBRAIRIE_X_ */

#endif /* ndef X_CLAVIER_H_ */
