/* Fonctions utilitaires gnrales
   Dveloppes pour LASE, mais plus gnriques
   (C) 1996 - 2003, Emmanuel CURIS

   Calculs statistiques fondamentaux sur une table de valeurs
*/

#ifndef STATS_UTILS_H_

#define STATS_UTILS_H_ /* Protection contre l'inclusion multiple */

/* -------- Recherche des extrma -------- */

int STAT_ChercherExtrema_D (double *table, unsigned long nbr_valeurs, double *min, double *max);
int STAT_ChercherExtrema_I (int  *table, unsigned long nbr_valeurs, int  *min, int  *max);
int STAT_ChercherExtrema_L (long *table, unsigned long nbr_valeurs, long *min, long *max);
int STAT_ChercherExtrema_UI(unsigned int  *table, unsigned long nbr_valeurs, unsigned int  *min, unsigned int  *max);
int STAT_ChercherExtrema_UL(unsigned long *table, unsigned long nbr_valeurs, unsigned long *min, unsigned long *max);

/* -------- Calcul des moyennes -------- */

int STAT_Moyenne_D (double *table, unsigned long nbr_valeurs, double *moyenne);
int STAT_Moyenne_I (int  *table, unsigned long nbr_valeurs, double *moyenne);
int STAT_Moyenne_L (long *table, unsigned long nbr_valeurs, double *moyenne);
int STAT_Moyenne_UI(unsigned int  *table, unsigned long nbr_valeurs, double *moyenne);
int STAT_Moyenne_UL(unsigned long *table, unsigned long nbr_valeurs, double *moyenne);

#endif
